=== debian/changelog ===
ros-melodic-rtmbuild (1.4.3-1stretch) stretch; urgency=high

  * check hrpsys/rtmros from sources (#1068 <https://github.com/start-jsk/rtmros_common/issues/1068>)
    
      * add -Wno-deprecated to compress log data size for travis
      * on 18.04 (omniidl-python >= 4.2), import _omniidl requires python3
      * since catkin > 0.7.0, the CPATH is no longer being set by catkin, so rtmbuild manually add them
    
  * Contributors: Kei Okada, Shun Hasegawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Apr 2020 15:00:00 -0000

ros-melodic-rtmbuild (1.4.2-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Dec 2017 15:00:00 -0000

ros-melodic-rtmbuild (1.4.1-1stretch) stretch; urgency=high

  * Fix bug of servicebridge.cmake (#1031 <https://github.com/start-jsk/rtmros_common/pull/1031>)
    * [rtmbuild/cmake/servicebridge.cmake] Fix bug of argument passing to avoid unnecessary addition of '' : https://github.com/start-jsk/rtmros_common/pull/1031#issuecomment-338370927
    * [rtmbuild/cmake/servicebridge.cmake] Fix typo. rand_str -> _rand_str
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Oct 2017 15:00:00 -0000

ros-melodic-rtmbuild (1.4.0-1stretch) stretch; urgency=high

  * fix code to run both Indido and Kinetic (#1025 <https://github.com/start-jsk/rtmros_common/issues/1025>)
    * rtmbuild/test/test-compile-idl.test: add retry=4 and time-limit=120
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Aug 2017 15:00:00 -0000

ros-melodic-rtmbuild (1.3.3-1stretch) stretch; urgency=high

  * re-enable rosnode_rtc (#961 <https://github.com/start-jsk/rtmros_common/issues/961>)
    * rtmbuild: fix type in DEPENDS section of catkin_package
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Feb 2017 15:00:00 -0000

ros-melodic-rtmbuild (1.3.2-1stretch) stretch; urgency=high

  * [refactor] delete depends from AutoBalancerService.hh to StabilizerService.hh (#939)
    * delete depends from AutoBalancerService.hh to StabilizerService.hh
    * CMakeLists.txt: add Loing ... rtmbuild.cmake message
    * CMakeLists.txt: fix syntax warning
    * cmake/rtmbuild.cmake: genrcp may depends on any idl (.hh) file
  * [refactor] remove old rosbuild files
  * [feat][rtmbuild/scripts/idl2srv.py] Add more CORBA exception information. Add BAD_PARAM, MARSHAL, and OBJECT_NOT_EXIST checking. Add minor code printing and possible case assumption.
  * Contributors: Shunichi Nozawa, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 25 Apr 2016 15:00:00 -0000

ros-melodic-rtmbuild (1.3.1-1stretch) stretch; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.3.0-1stretch) stretch; urgency=high

  * deb release only targeting to indigo
  * [rtmbuild/cmake/rtmbuild.cmake] add a "-Wbuse_quotes" option to omniidl
  * Contributors: Eisoku Kuroiwa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Dec 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.14-1stretch) stretch; urgency=high

  * [rtmbuild/scripts/idl2srv.py] print when service is called and returned
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Jun 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.13-1stretch) stretch; urgency=high

  * [script/idl2srv] advertise service after rtc is activated
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.12-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 26 Apr 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.11-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.10-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.9-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Apr 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.8-1stretch) stretch; urgency=high

  * fix for when hrp_idldir is null, hope this solves indigo ros buildfirm problem
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Mar 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.7-1stretch) stretch; urgency=high

  * Update rtmbuild_init to specify dependency of generate_messages and
    add new service interface to HrpsysSeqStateROSBridge to specify transformation
    for each sensor
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 Jan 2015 15:00:00 -0000

ros-melodic-rtmbuild (1.2.6-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-melodic-rtmbuild (1.2.5-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 03 Oct 2014 15:00:00 -0000

ros-melodic-rtmbuild (1.2.4-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Sep 2014 15:00:00 -0000

ros-melodic-rtmbuild (1.2.3-1stretch) stretch; urgency=high

  * fix rtmbuild.cmake
  * Contributors: terasawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 02 Sep 2014 15:00:00 -0000

ros-melodic-rtmbuild (1.2.2-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 30 Aug 2014 15:00:00 -0000

ros-melodic-rtmbuild (1.2.1-1stretch) stretch; urgency=high

  * (idl2srv.py) : Check pointer or not ;; At previous revision, non-pointer variables are deleted
  * (idl2srv.py) : use random string for idl2srv generated file
  * (package.xml files) Update repository URLs
  * Contributors: Isaac Isao Saito, Kei Okada, Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Jun 2014 15:00:00 -0000

ros-melodic-rtmbuild (1.2.0-1stretch) stretch; urgency=high


