=== debian/control ===
Source: ros-melodic-rtmbuild
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-message-generation, ros-melodic-openrtm-aist, ros-melodic-openrtm-aist-python, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/rtmbuild
Standards-Version: 3.9.2

Package: ros-melodic-rtmbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-dev, liblapack-dev, libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, ros-melodic-cmake-modules, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-openrtm-aist, ros-melodic-openrtm-aist-python, ros-melodic-rostest, ros-melodic-std-msgs
Description: Build scripts for OpenRTM and OpenHRP
